MWAWBorder Struct Reference

a border More...

`#include <libmwaw_internal.hxx>`

## Public Types

enum | Style { None , Simple , Dot , LargeDot , Dash }
| the line style More...
enum | Type { Single , Double , Triple }
| the line repetition More...

## Public Member Functions

| MWAWBorder ()
| constructor
| MWAWBorder (MWAWBorder const &)=default
| MWAWBorder (MWAWBorder &&)=default
MWAWBorder & | operator= (MWAWBorder const &)=default
MWAWBorder & | operator= (MWAWBorder &&)=default
bool | addTo (librevenge::RVNGPropertyList &propList, std::string which="") const
| add the border property to proplist (if needed )
bool | isEmpty () const
| returns true if the border is empty
bool | operator== (MWAWBorder const &orig) const
| operator==
bool | operator!= (MWAWBorder const &orig) const
| operator!=
int | compare (MWAWBorder const &orig) const
| compare two borders

## Public Attributes

Style | m_style
| the border style
Type | m_type
| the border repetition
double | m_width
| the border total width in point
std::vector< double > | m_widthsList
| the different length used for each line/sep (if defined)
MWAWColor | m_color
| the border color
std::string | m_extra
| extra data ( if needed)

## Friends

std::ostream & | operator<< (std::ostream &o, MWAWBorder const &border)
| operator<<
std::ostream & | operator<< (std::ostream &o, MWAWBorder::Style const &style)
| operator<<: prints data in form "none|dot|..."

## Detailed Description

a border

## Member Enumeration Documentation

## Style

enum MWAWBorder::Style

the line style

Enumerator
None |
Simple |
Dot |
LargeDot |
Dash |

## Type

enum MWAWBorder::Type

the line repetition

Enumerator
Single |
Double |
Triple |

## Constructor & Destructor Documentation

## MWAWBorder() [1/3]

MWAWBorder::MWAWBorder | ( |  | ) |

inline

constructor

Referenced by compare(), MWAWBorder(), MWAWBorder(), operator!=(), operator<<, operator=(), operator=(), and operator==().

## MWAWBorder() [2/3]

MWAWBorder::MWAWBorder | ( | MWAWBorder const & |  | ) |

default

## MWAWBorder() [3/3]

MWAWBorder::MWAWBorder | ( | MWAWBorder && |  | ) |

default

## Member Function Documentation

## addTo()

bool MWAWBorder::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string | which = "" ) const

add the border property to proplist (if needed )

Note
  if set which must be equal to "left", "top", ...

Referenced by MWAWParagraph::addTo().

## compare()

int MWAWBorder::compare | ( | MWAWBorder const & | orig | ) | const

compare two borders

## isEmpty()

bool MWAWBorder::isEmpty | ( |  | ) | const

inline

returns true if the border is empty

Referenced by MWAWParagraph::addTo(), MacWrtProStructuresInternal::Graphic::fillFrame(), FullWrtStruct::Border::operator<<, MacWrtProStructuresInternal::Graphic::operator<<, MWAWParagraph::operator<<, and WriteNowTextInternal::TableData::updateCell().

## operator!=()

bool MWAWBorder::operator!= | ( | MWAWBorder const & | orig | ) | const

inline

operator!=

Referenced by operator==().

## operator=() [1/2]

MWAWBorder & MWAWBorder::operator= | ( | MWAWBorder && |  | ) |

default

## operator=() [2/2]

MWAWBorder & MWAWBorder::operator= | ( | MWAWBorder const & |  | ) |

default

## operator==()

bool MWAWBorder::operator== | ( | MWAWBorder const & | orig | ) | const

inline

operator==

## Friends And Related Symbol Documentation

## operator<< [1/2]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWBorder const & | border )

friend

operator<<

## operator<< [2/2]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWBorder::Style const & | style )

friend

operator<<: prints data in form "none|dot|..."

## Member Data Documentation

## m_color

MWAWColor MWAWBorder::m_color

the border color

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), FullWrtStruct::Border::addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), addTo(), compare(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), RagTime5StyleManager::getCellBorder(), MWAWBorder(), operator!=(), operator<<, PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), MacWrtProStructures::readGraphic(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), RagTimeSpreadsheet::readResource(), PowerPoint7Graph::readStyle(), HanMacWrdKGraph::readTable(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::readTableFormatsList(), MacDrawProParser::send(), RagTimeParser::send(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), ClarisDrawGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), ClarisDrawGraph::sendMainGroupChild(), RagTimeParser::sendPicture(), FullWrtText::sendTable(), MsWksTable::sendTable(), ClarisWksTableInternal::TableCell::update(), and HanMacWrdJGraphInternal::TableCell::update().

## m_extra

std::string MWAWBorder::m_extra

extra data ( if needed)

Referenced by MWAWBorder(), operator<<, MacWrtProStructures::readGraphic(), and RagTimeSpreadsheet::readResource().

## m_style

Style MWAWBorder::m_style

the border style

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), addTo(), compare(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), MsWrdStruct::getBorder(), RagTime5StyleManager::getCellBorder(), isEmpty(), MWAWBorder(), operator!=(), operator<<, MWAWSection::operator<<, HanMacWrdKText::readParagraph(), StyleParser::readRules(), HanMacWrdKGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), MWAWParagraph::resizeBorders(), MWAWCell::setBorders(), MWAWGraphicStyle::setBorders(), ClarisWksTableInternal::TableCell::update(), and WriteNowTextInternal::TableData::updateCell().

## m_type

Type MWAWBorder::m_type

the border repetition

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), addTo(), compare(), FullWrtStruct::Border::getBorder(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), MsWrdStruct::getBorder(), MWAWBorder(), operator!=(), operator<<, MsWrdStruct::Paragraph::read(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), PowerPoint7Graph::readStyle(), HanMacWrdKGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), ClarisWksTableInternal::TableCell::update(), WriteNowTextInternal::TableData::updateCell(), and MacWrtProStructuresInternal::State::updateLineType().

## m_width

double MWAWBorder::m_width

the border total width in point

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), addTo(), compare(), MacWrtProStructuresInternal::Graphic::fillFrame(), FullWrtStruct::Border::getBorder(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), MsWrdStruct::getBorder(), RagTime5StyleManager::getCellBorder(), isEmpty(), MWAWBorder(), operator!=(), operator<<, MWAWSection::operator<<, MsWrdStruct::Paragraph::read(), BeagleWksStructManager::readFrame(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), MacWrtProStructures::readGraphic(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), RagTimeSpreadsheet::readResource(), StyleParser::readRules(), PowerPoint7Graph::readStyle(), HanMacWrdKGraph::readTable(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::readTableFormatsList(), MacDrawProParser::send(), RagTimeParser::send(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), ClarisDrawGraph::sendGroup(), ClarisDrawGraph::sendMainGroupChild(), RagTimeParser::sendPicture(), FullWrtText::sendTable(), MsWksTable::sendTable(), ClarisWksTableInternal::TableCell::update(), HanMacWrdJGraphInternal::TableCell::update(), and WriteNowTextInternal::TableData::updateCell().

## m_widthsList

std::vector<double> MWAWBorder::m_widthsList

the different length used for each line/sep (if defined)

Note
  when defined, the size of this list must be equal to 2*Type-1

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), addTo(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), MWAWBorder(), operator!=(), operator<<, PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), PowerPoint7Graph::readStyle(), HanMacWrdKGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), and MacWrtProStructuresInternal::State::updateLineType().

The documentation for this struct was generated from the following files:

- libmwaw_internal.hxx
- libmwaw_internal.cxx